cascading.flow.planner.rule

## Interface Rule

- All Known Implementing Classes:
    ApplyAssertionLevelTransformer, ApplyDebugLevelTransformer, BlockingHashJoinAnnotator, BufferAfterEveryAssert, EveryAfterBufferAssert, ExpressionRulePartitioner, HashJoinBlockingHashJoinAnnotator, LoneGroupAssert, MissingGroupAssert, RemoveNoOpPipeTransformer, RuleAnnotationTransformer, RuleAssert, RuleContractedTransformer, RuleInsertionTransformer, RulePartitioner, RuleRemoveBranchTransformer, RuleReplaceTransformer, RuleTransformer, SplitBeforeEveryAssert, UniquePathRulePartitioner, WholeGraphNodePartitioner, WholeGraphRulePartitioner, WholeGraphStepPartitioner

      public interface Rule

  Rule instances are the unit of work applied by a `RuleExec` instance and managed by a `RuleRegistry`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRuleName()`
    `PlanPhase` | `getRulePhase()`

- - ### Method Detail

    - #### getRulePhase

          PlanPhase getRulePhase()

    - #### getRuleName

          String getRuleName()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.